-----------------------------------------------
-- Namespaces
-----------------------------------------------
local _, core = ...;

-----------------------------------------------
-- Frames
-----------------------------------------------
local UIConfig = CreateFrame("Frame", "SearchFrame", UIParent, "BasicFrameTemplateWithInset");
UIConfig:SetSize(300, 290);
UIConfig:SetPoint("CENTER", UIParent, "CENTER");
UIConfig:Hide();
UIConfig:SetMovable(true);
UIConfig:EnableMouse(true);
UIConfig:RegisterForDrag("LeftButton");
UIConfig:SetScript("OnDragStart", UIConfig.StartMoving);
UIConfig:SetScript("OnDragStop", UIConfig.StopMovingOrSizing);

local s = CreateFrame("ScrollFrame", nil, UIConfig, "UIPanelScrollFrameTemplate")
s:SetSize(250,250);
s:SetPoint("TOPLEFT", UIConfig, "TOPLEFT", 15, -30);

local e = CreateFrame("EditBox", nil, s);
e:SetMultiLine(true);
e:SetFontObject(ChatFontNormal);
e:SetWidth(250);
s:SetScrollChild(e);
e:SetAutoFocus(false);

e:SetScript("OnEscapePressed", function(self)
	UIConfig:Hide();
end);



-----------------------------------------------
-- Slash Commands
-----------------------------------------------
SLASH_CRPROFILE1 = "/tbch";

SlashCmdList["CRPROFILE"] = function(params)

		local body = datacompiler:getplayer()
		local content = string.format(body);
        
		UIConfig:Show();
		e:SetFocus();
		local link = format("%s%s", "https://api.tbc-helper.com/api/characters/parse-addon-string?addonString=", content);
		e:SetText(link);
		e:HighlightText(0, strlen(link));
end



print("|cFF3E1787tbc-helper.com|r Type '/tbch' and copy the URL to your browser to get gear suggestions and other helpful information.");
